class loadingView
{
    constructor() 
	{
		this.sOS = conchConfig.getOS();
		if (this.sOS == "Conch-ios")
		{
			this.bridge = PlatformClass.createClass("JSBridge");
		}
		else if (this.sOS == "Conch-android")
		{
			this.bridge = PlatformClass.createClass("demo.JSBridge");
		}
		window.layaBridge = this.bridge;

		if(window.layaBridge != null){
            window.layaBridge.call("initAppData");
        }
    }
    set loadingAutoClose(value) 
	{
        this._loadingAutoClose = value;
    }
	get loadingAutoClose()
	{
		return this._loadingAutoClose;
	}
	set showTextInfo(value) 
	{
        this._showTextInfo = value;
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("showTextInfo:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("showTextInfo",value);
			}
		}
    }
	get showTextInfo()
	{
		return this._showTextInfo;
	}
	bgColor(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("bgColor:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("bgColor",value);
			}
		}
	}
	setFontColor(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("setFontColor:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("setFontColor",value);
			}
		}
	}
	setTips(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("setTips:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("setTips",value);
			}
		}
	}
	loading(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("loading:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("loading",value);
			}
		}
	}
	hideLoadingView()
	{
		this.bridge.call("hideSplash");
	}



//	var n=3;
//    if(window.conch && window.conch.setOnBackPressedFunction){
//        window.conch.setOnBackPressedFunction(()=>{
////            console.log('press back '+n);
////            if(n-- <=0){
////                window.conch.exit();
////            }
//        });
//    }





}
window.loadingView = new loadingView();
if(window.loadingView)
{
    window.loadingView.loadingAutoClose=false;//true代表当动画播放完毕，自动进入游戏。false为开发者手动控制
    window.loadingView.bgColor("#ffffff");//设置背景颜色
    window.loadingView.setFontColor("#ffffff");//设置字体颜色
    window.loadingView.setTips(["","",""]);//设置tips数组，会随机出现
    window.loadingView.fontstr = "normal 100 30px Arial";
}
window.onLayaInitError=function(e)
{
	console.log("onLayaInitError error=" + e);
	alert("加载游戏失败，可能由于您的网络不稳定，请退出重进");
}

// 假的进度信息
/**/
if(window.loadingView)
{
    window.loadingViewCount = 0;
    window.loadingViewLoop = function loadingViewLoop()
    {
        if(window.loadingView && window.loadingViewCount < 99){
            window.loadingViewCount = window.loadingViewCount + 5 + Math.floor(Math.random() * 10);
            if(window.loadingViewCount>99){
                window.loadingViewCount = 99;
            }
            window.loadingView.loading(window.loadingViewCount);
        }else{
            window.clearInterval(window.loadingViewCountDownId);
        }
    }
    window.loadingViewCountDownId = window.setInterval("window.loadingViewLoop()",1000);
}


conchConfig.pushAtlasLimitSize = 256;
//在这进行设定
conchConfig.atlasNum = 500;//60张 每张为1024*1024   240M
conchConfig.maxTextureMemSize = 800*128 * 1024 * 1024;


